gnutls_srp_set_prime_bits(3)

NAME
gnutls_srp_set_prime_bits - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_srp_set_prime_bits(gnutls_session_t session, unsigned int bits);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

unsigned int bits
    is the number of bits

DESCRIPTION
This function sets the minimum accepted number of bits, for use in an SRP key exchange. If zero, the default 2048 bits will be used.

In the client side it sets the minimum accepted number of bits. If a server sends a prime with less bits than that GNUTLS_E_RECEIVED_ILLEGAL_PARAMETER will be returned by the handshake.

This function has no effect in server side.

SINCE
2.6.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/